// File: qsm.h

// And for all QB64 fellow members who need maximum speed in their sorting, here comes the usage of the "header" written in C, ready to go in QB64:

//Declare CustomType Library "qsm"
//    Sub Quicksort_QB64_v14 (ByVal QWORDS As _Offset, Byval NumOfEle As _Integer64)
//End Declare
 
/*
Declare CustomType Library
    Sub memcpy (ByVal dest As _Offset, Byval source As _Offset, Byval bytes As Long)
End Declare

a$ = "1234567890"
b$ = "ABCDEFGHIJ"

memcpy _Offset(a$) + 5, _Offset(b$) + 5, 5
Print a$
*/

#include <stdint.h> // Needed for uint64_t
#include "Magnetica_v14.h"
